Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface UnaryTypeConstraint

- All Superinterfaces:
    `CallableRelation`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Subinterfaces:
    `EClassifierConstraint`, `TypeCheckConstraint`
  All Known Implementing Classes:
    `EClassifierConstraintImpl`, `TypeCheckConstraintImpl`, `UnaryTypeConstraintImpl`

      public interface UnaryTypeConstraint
      extends CallableRelation

  A representation of the model object 'Unary Type Constraint'.

  The following features are supported:

  - `Type`
  - `Var`
  See Also:
    `PatternLanguagePackage.getUnaryTypeConstraint()`
  Generated:
  Model:
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `EntityType` | `getType()` | Returns the value of the 'Type' containment reference.
    `VariableReference` | `getVar()` | Returns the value of the 'Var' containment reference.
    `void` | `setType​(EntityType value)` | Sets the value of the '`Type`' containment reference.
    `void` | `setVar​(VariableReference value)` | Sets the value of the '`Var`' containment reference.

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.CallableRelation

      `getTransitive, setTransitive`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getType

          EntityType getType()

      Returns the value of the 'Type' containment reference.
      Returns:
        the value of the 'Type' containment reference.
      See Also:
        `setType(EntityType)`, `PatternLanguagePackage.getUnaryTypeConstraint_Type()`
      Generated:
      Model:
        containment="true"

    - #### setType

          void setType​(EntityType value)

      Sets the value of the '`Type`' containment reference.
      Parameters:
        `value` - the new value of the 'Type' containment reference.
      See Also:
        `getType()`
      Generated:

    - #### getVar

          VariableReference getVar()

      Returns the value of the 'Var' containment reference.
      Returns:
        the value of the 'Var' containment reference.
      See Also:
        `setVar(VariableReference)`, `PatternLanguagePackage.getUnaryTypeConstraint_Var()`
      Generated:
      Model:
        containment="true"

    - #### setVar

          void setVar​(VariableReference value)

      Sets the value of the '`Var`' containment reference.
      Parameters:
        `value` - the new value of the 'Var' containment reference.
      See Also:
        `getVar()`
      Generated: